Bug 697778 - Review Request: rubygem-formtastic - A Rails form builder plugin with semantically rich and accessible markup
Summary: Review Request: rubygem-formtastic - A Rails form builder plugin with semanti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-19 08:41 UTC by Daiki Ueno
Modified: 2011-05-27 20:29 UTC (History)
4 users (show)

Fixed In Version: rubygem-formtastic-1.2.3-4.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 04:45:02 UTC
Type: ---
panemade: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Daiki Ueno 2011-04-19 08:41:58 UTC
Spec URL: http://ueno.fedorapeople.org/rubygem-formtastic/rubygem-formtastic.spec
SRPM URL: http://ueno.fedorapeople.org/rubygem-formtastic/rubygem-formtastic-1.2.3-1.fc15.src.rpm
Description:
A Rails form builder plugin/gem with semantically rich and accessible markup

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3010176

Briefly tested.  At least I can run the generator with:

$ sudo yum install rubygem-rails rubygem-sqlite3
$ rails new ~/test-rubygem-formtastic
$ cd ~/test-rubygem-formtastic
$ echo "gem 'formtastic'" >> Gemfile
$ rails generate formtastic:install

Comment 1 Daiki Ueno 2011-04-20 05:34:06 UTC
Reflected off-line comments from Parag:

- License is "MIT", not "GPLv2+ or Ruby"
- Version requirements like ">= 0" are not necessary

Spec URL:
http://ueno.fedorapeople.org/rubygem-formtastic/rubygem-formtastic.spec
SRPM URL:
http://ueno.fedorapeople.org/rubygem-formtastic/rubygem-formtastic-1.2.3-2.fc15.src.rpm

Comment 2 Parag AN(पराग) 2011-04-20 06:23:01 UTC
Review:
1) koji build->http://koji.fedoraproject.org/koji/taskinfo?taskID=3012790
2) rpmlint output is
rubygem-formtastic.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/formtastic-1.2.3/ri/Formtastic/SemanticFormBuilder/options_require_validation%3f-i.yaml %3f
rubygem-formtastic.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/formtastic-1.2.3/ri/Formtastic/SemanticFormBuilder/detect_label_and_value_method%21-i.yaml %21
rubygem-formtastic.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/formtastic-1.2.3/ri/Formtastic/Util/rails3%3f-i.yaml %3f
rubygem-formtastic.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/formtastic-1.2.3/ri/Formtastic/SemanticFormBuilder/has_errors%3f-i.yaml %3f
rubygem-formtastic.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/formtastic-1.2.3/ri/Formtastic/SemanticFormBuilder/is_file%3f-i.yaml %3f
rubygem-formtastic.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/formtastic-1.2.3/ri/Formtastic/SemanticFormBuilder/render_inline_errors%3f-i.yaml %3f

==> But as upstream has introduced naming for above files we can ignore this.
3) upstream source verified as
b1e67ba4cd4574a307a868af585a9243a3a8df54  formtastic-1.2.3.gem
b1e67ba4cd4574a307a868af585a9243a3a8df54  ../SOURCES/formtastic-1.2.3.gem

suggestions
1) I think you can drop the gem word from summary so it will be 
"A Rails form builder plugin with semantically rich and accessible markup"

Description can be added as
"Formtastic is a Rails FormBuilder DSL (with some other goodies) to make it far easier to create beautiful, semantically rich, syntactically awesome, readily stylable and wonderfully accessible HTML forms in your Rails applications."

2)Generally we don't want to add versions to Requires also so that yum should always pull latest dependencies. Please drop the versions.

3) fix the duplicate lines 
Requires: rubygem(i18n) => 0.4
Requires: rubygem(i18n) < 1


4) I think you can also add -doc subpackage

Comment 5 Parag AN(पराग) 2011-04-20 09:08:19 UTC
Thanks for your updates.

APPROVED.

Comment 6 Daiki Ueno 2011-04-20 09:15:47 UTC
Thanks for the review, Parag.

New Package SCM Request
=======================
Package Name: rubygem-formtastic
Short Description: A Rails form builder plugin with semantically rich and accessible markup
Owners: ueno
Branches: f15 f14 f13
InitialCC:

Comment 7 Vít Ondruch 2011-04-20 10:17:17 UTC
It would be nice if you could execute test suite during build.

Comment 8 Daiki Ueno 2011-04-21 01:24:13 UTC
(In reply to comment #7)
> It would be nice if you could execute test suite during build.

Thanks for the suggestion.  Well, it seems not that easy since formtastic-1.2.3.gem does not contain test suite (it is available in the git tree though).  We will need:

- include the test suite taken from the git
- package rspec related gems in development dependencies (rspec_tag_matchers and rspec-rails)

I would like to postpone the task for now.

Comment 9 Jason Tibbitts 2011-04-21 03:36:59 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-04-21 04:57:49 UTC
rubygem-formtastic-1.2.3-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-formtastic-1.2.3-4.fc14

Comment 11 Fedora Update System 2011-04-21 04:57:56 UTC
rubygem-formtastic-1.2.3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-formtastic-1.2.3-4.fc15

Comment 12 Fedora Update System 2011-04-21 04:58:04 UTC
rubygem-formtastic-1.2.3-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-formtastic-1.2.3-4.fc13

Comment 13 Daiki Ueno 2011-04-21 09:15:03 UTC
Please add a branch for EPEL.  Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3015514

Package Change Request
======================
Package Name: rubygem-formtastic
New Branches: el6
Owners: ueno

Comment 14 Vít Ondruch 2011-04-21 13:10:50 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > It would be nice if you could execute test suite during build.
> 
> Thanks for the suggestion.  Well, it seems not that easy since
> formtastic-1.2.3.gem does not contain test suite (it is available in the git
> tree though).  We will need:
> 
> - include the test suite taken from the git
> - package rspec related gems in development dependencies (rspec_tag_matchers
> and rspec-rails)
> 
> I would like to postpone the task for now.


Yes, that is the way. It is not blocker, but I hope you will find some day time to add it.

Comment 15 Fedora Update System 2011-04-21 22:27:35 UTC
rubygem-formtastic-1.2.3-4.fc14 has been pushed to the Fedora 14 testing repository.

Comment 16 Jason Tibbitts 2011-04-22 14:27:22 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2011-05-19 04:44:57 UTC
rubygem-formtastic-1.2.3-4.fc15 has been pushed to the Fedora 15 stable repository.

Comment 18 Fedora Update System 2011-05-27 20:21:03 UTC
rubygem-formtastic-1.2.3-4.fc14 has been pushed to the Fedora 14 stable repository.

Comment 19 Fedora Update System 2011-05-27 20:29:20 UTC
rubygem-formtastic-1.2.3-4.fc13 has been pushed to the Fedora 13 stable repository.


Note You need to log in before you can comment on or make changes to this bug.